

I have written routines for converting between SMILES and
connection tables (going both ways).  I can send you the source code (in
C) if you want.  You'll need to write something to load in your 3D
structure files and store them to my connection table format, but that
should be fairly easy to do. 

Simon Kilvington, [email-masked]
------------------------------------------------------------------------------